### Method

# GtkSource CompletionProvider key_activates

#### Declaration [src]

    gboolean
    gtk_source_completion_provider_key_activates (
      GtkSourceCompletionProvider* self,
      GtkSourceCompletionContext* context,
      GtkSourceCompletionProposal* proposal,
      guint keyval,
      GdkModifierType state
    )

#### Description [src]

This function is used to determine if a key typed by the user should activate `proposal` (resulting in committing the text to the editor).

This is useful when using languages where convention may lead to less typing by the user. One example may be the use of “.” or “-” to expand a field access in the C programming language.

#### Parameters

`context`

  Type: `GtkSourceCompletionContext`

  A `GtkSourceCompletionContext`.

  The data is owned by the caller of the method.

`proposal`

  Type: `GtkSourceCompletionProposal`

  A `GtkSourceCompletionProposal`.

  The data is owned by the caller of the method.

`keyval`

  Type: `guint`

  A keyval such as `GDK_KEY_period`.

`state`

  Type: `GdkModifierType`

  A `GdkModifierType` or 0.

#### Return value

Type: `gboolean`

No description available.